IT虾米网

CentOS 6.8 安装 Docker详解

admin 2018年06月08日 程序员 477 0

1. 查看CentOS版本

由于安装Docker时,Docker支持

  • CentOS 7 (64-bit)
  • CentOS 6.5 (64-bit) 或更高的版本

Docker 运行在 CentOS 7 上,要求系统为64位、系统内核版本为 3.10 以上。
Docker 运行在 CentOS-6.5 或更高的版本的 CentOS 上,要求系统为64位、系统内核版本为 2.6.32-431 或者更高版本

CentOS 7 的内核一般都是3.10的,而CentOS 6.X 的内核一般都是2.6,在2.6的内核下,Docker运行会比较卡,所以一般会选择升级到3.10版本。

CentOS6.X 升级内核 至 3.10

2. 安装docker-io

[root@localhost ~]# yum install docker-io

如何显示没有该package,则先执行下面这条指令,安装yum源:

[root@localhost ~]# yum -y install http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm

安装完成界面:

这里写图片描述

3. Docker操作

查看Docker版本信息

[[email protected] ~]# docker version 
Client version: 1.7.1 
Client API version: 1.19 
Go version (client): go1.4.2 
Git commit (client): 786b29d/1.7.1 
OS/Arch (client): linux/amd64 
Get http:///var/run/docker.sock/v1.19/version: dial unix /var/run/docker.sock: no such file or directory. Are you trying to connect to a TLS-enabled daemon without TLS? 

启动Docker

[root@localhost ~]# service docker start

查看Docker日志

[root@localhost ~]# cat /var/log/docker

停止Docker

[root@localhost ~]# service docker stop

4. 卸载Docker

4.1 查看安装的Docker包

[root@localhost ~]# yum list installed | grep docker 
docker-io.x86_64        1.7.1-2.el6     @epel 

4.2 yum 卸载 Docker

[root@localhost ~]# yum -y remove docker-io.x86_64

4.2 删除Docker镜像

[root@localhost ~]# rm -rf /var/lib/docker

更多Docker的使用指南:http://www.runoob.com/docker/docker-tutorial.html

发布评论

分享到:

IT虾米网

微信公众号号:IT虾米 (左侧二维码扫一扫)欢迎添加!

Spring Boot项目部署到外部Tomcat服务器详解
你是第一个吃螃蟹的人
发表评论

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。